TaxonomySearchService (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.client.rpc

## Interface TaxonomySearchService

- All Superinterfaces:
    com.google.gwt.user.client.rpc.RemoteService
  All Known Implementing Classes:
    TaxonomySearchServiceImpl

      @RemoteServiceRelativePath(value="taxonomy")
      public interface TaxonomySearchService
      extends com.google.gwt.user.client.rpc.RemoteService

  The client side stub for the RPC service.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `cancelOccurrenceJob(String jobIdentifier)`
    `boolean` | `cancelTaxonomyJob(String jobIdentifier)`
    `boolean` | `changeStatusOccurrenceJob(String jobIdentifier, DownloadState state)`
    `boolean` | `changeStatusTaxonomyJob(String jobIdentifier, DownloadState state)`
    `int` | `countOfSelectedRow()`
    `List<JobOccurrencesModel>` | `createOccurrencesJob(List<JobOccurrencesModel> listJobOccurrenceModel, SaveFileFormat saveFileFormat, OccurrencesSaveEnum csvType, boolean isByDataSource, int expectedOccurrence)`
    `JobTaxonomyModel` | `createTaxonomyJobByChildren(String taxonomyServiceId, String taxonomyName, String taxonomyRank, String dataSourceName)`
    `JobTaxonomyModel` | `createTaxonomyJobByIds(String search, List<DataSourceModel> dataSources)`
    `String` | `generateMapFromSelectedOccurrencePoints()`
    `OccurrencesStatus` | `getCountOfOccurrencesBatch()`
    `HashMap<String,Integer>` | `getFilterCounterById(GridField field)`
    `HashMap<String,ClassificationModel>` | `getFilterCounterForClassification(String rank)`
    `String` | `getLastQuery()`
    `List<JobOccurrencesModel>` | `getListOccurrencesJob()`
    `List<JobTaxonomyModel>` | `getListTaxonomyJobs()`
    `OccurrenceBatch` | `getOccurrencesBatch(int start, int count)`
    `List<Taxon>` | `getParentsList(Taxon taxon)`
    `SearchResult<ResultRow>` | `getSearchResultRows(int start, int limit, ResultFilter activeFiltersObject, boolean onlySelected)`
    `SearchStatus` | `getSearchStatus(boolean onlySelected, boolean isActiveFilterOnResult)`
    `SearchResult<TaxonomyRow>` | `getSearchTaxonomyRow(int start, int limit, ResultFilter activeFiltersObject, boolean showOnlySelected)`
    `boolean` | `isAvailableOccurrenceJobReportError(String jobIdentifier)`
    `boolean` | `isAvailableTaxonomyJobReportError(String jobIdentifier)`
    `List<DataSource>` | `loadDataSourceForResultRow(boolean selected, boolean distinct)`
    `List<DataSourceModel>` | `loadDataSourceList()`
    `ArrayList<TaxonomyRow>` | `loadListChildByParentId(String parentId)`
    `ArrayList<CommonName>` | `loadListCommonNameByRowId(String resultRowId)`
    `ClusterStructuresForResultRow` | `loadStructuresForResultRowClustering()`
    `ClusterStructuresForTaxonomyRow` | `loadStructuresForTaxonomyClustering()`
    `List<JobOccurrencesModel>` | `resubmitOccurrencesJob(String jobIdentifier)`
    `JobTaxonomyModel` | `resubmitTaxonomyJob(String jobIdentifier)`
    `int` | `retrieveOccurencesFromSelection()`
    `List<TaxonomyRow>` | `retrieveSynonymsByRefId(String refId)`
    `List<TaxonomyRow>` | `retrieveTaxonomyByIds(List<String> ids)`
    `boolean` | `saveOccurrenceJob(JobOccurrencesModel jobModel, String destinationFolderId, String fileName, String scientificName, String dataSourceName)`
    `boolean` | `saveOccurrenceJobError(JobOccurrencesModel jobModel, String destinationFolderId, String fileName, String scientificName, String dataSourceName)`
    `void` | `saveSelectedOccurrencePoints(String destinationFolderId, String fileName, SaveFileFormat fileFormat, OccurrencesSaveEnum typeCSV)`
    `void` | `saveSelectedTaxonomyPoints(String destinationFolderId, String fileName, SaveFileFormat fileFormat)`
    `boolean` | `saveTaxonomyJob(String jobIdentifier, String destinationFolderId, String fileName, String scientificName, String dataSourceName)`
    `boolean` | `saveTaxonomyJobError(String jobIdentifier, String destinationFolderId, String fileName, String scientificName, String dataSourceName)`
    `void` | `searchByCommonName(String searchTerm, SearchFilters searchFilters)`
    `SearchByQueryParameter` | `searchByQuery(String query)`
    `void` | `searchByScientificName(String searchTerm, SearchFilters searchFilters)`
    `void` | `stopRetrievingOccurrences()`
    `void` | `stopSearch()`
    `void` | `updateRowSelection(int rowId, boolean selection)`
    `Integer` | `updateRowSelections(boolean selection, ResultFilter activeFiltersObject)`

- - ### Method Detail

    - #### searchByScientificName

          void searchByScientificName(String searchTerm,
                                    SearchFilters searchFilters)
                                      throws SearchServiceException

      Throws:
        `SearchServiceException`

    - #### searchByCommonName

          void searchByCommonName(String searchTerm,
                                SearchFilters searchFilters)
                                  throws SearchServiceException

      Throws:
        `SearchServiceException`

    - #### searchByQuery

          SearchByQueryParameter searchByQuery(String query)
                                               throws SearchServiceException

      Throws:
        `SearchServiceException`

    - #### getSearchStatus

          SearchStatus getSearchStatus(boolean onlySelected,
                                     boolean isActiveFilterOnResult)
                                       throws SearchServiceException

      Throws:
        `SearchServiceException`

    - #### stopSearch

          void stopSearch()
                          throws SearchServiceException

      Throws:
        `SearchServiceException`

    - #### updateRowSelection

          void updateRowSelection(int rowId,
                                boolean selection)
                                  throws SearchServiceException

      Throws:
        `SearchServiceException`

    - #### updateRowSelections

          Integer updateRowSelections(boolean selection,
                                    ResultFilter activeFiltersObject)
                                      throws SearchServiceException

      Throws:
        `SearchServiceException`

    - #### retrieveOccurencesFromSelection

          int retrieveOccurencesFromSelection()
                                              throws SearchServiceException

      Throws:
        `SearchServiceException`

    - #### getOccurrencesBatch

          OccurrenceBatch getOccurrencesBatch(int start,
                                            int count)
                                              throws SearchServiceException

      Throws:
        `SearchServiceException`

    - #### stopRetrievingOccurrences

          void stopRetrievingOccurrences()
                                         throws SearchServiceException

      Throws:
        `SearchServiceException`

    - #### generateMapFromSelectedOccurrencePoints

          String generateMapFromSelectedOccurrencePoints()
                                                         throws SearchServiceException

      Throws:
        `SearchServiceException`

    - #### saveSelectedOccurrencePoints

          void saveSelectedOccurrencePoints(String destinationFolderId,
                                          String fileName,
                                          SaveFileFormat fileFormat,
                                          OccurrencesSaveEnum typeCSV)
                                            throws SearchServiceException

      Throws:
        `SearchServiceException`

    - #### loadDataSourceList

          List<DataSourceModel> loadDataSourceList()
                                                   throws Exception

      Throws:
        `Exception`

    - #### getFilterCounterById

          HashMap<String,Integer> getFilterCounterById(GridField field)
                                                       throws Exception

      Throws:
        `Exception`

    - #### getParentsList

          List<Taxon> getParentsList(Taxon taxon)
                                     throws Exception

      Throws:
        `Exception`

    - #### getFilterCounterForClassification

          HashMap<String,ClassificationModel> getFilterCounterForClassification(String rank)
                                                                                throws Exception

      Throws:
        `Exception`

    - #### loadListCommonNameByRowId

          ArrayList<CommonName> loadListCommonNameByRowId(String resultRowId)
                                                          throws Exception

      Throws:
        `Exception`

    - #### countOfSelectedRow

          int countOfSelectedRow()
                                 throws SearchServiceException

      Throws:
        `SearchServiceException`

    - #### getSearchResultRows

          SearchResult<ResultRow> getSearchResultRows(int start,
                                                    int limit,
                                                    ResultFilter activeFiltersObject,
                                                    boolean onlySelected)
                                                      throws SearchServiceException

      Throws:
        `SearchServiceException`

    - #### getSearchTaxonomyRow

          SearchResult<TaxonomyRow> getSearchTaxonomyRow(int start,
                                                       int limit,
                                                       ResultFilter activeFiltersObject,
                                                       boolean showOnlySelected)
                                                         throws SearchServiceException

      Throws:
        `SearchServiceException`

    - #### loadListChildByParentId

          ArrayList<TaxonomyRow> loadListChildByParentId(String parentId)
                                                         throws Exception

      Throws:
        `Exception`

    - #### saveSelectedTaxonomyPoints

          void saveSelectedTaxonomyPoints(String destinationFolderId,
                                        String fileName,
                                        SaveFileFormat fileFormat)
                                          throws SearchServiceException

      Throws:
        `SearchServiceException`

    - #### getCountOfOccurrencesBatch

          OccurrencesStatus getCountOfOccurrencesBatch()
                                                       throws SearchServiceException

      Throws:
        `SearchServiceException`

    - #### getListTaxonomyJobs

          List<JobTaxonomyModel> getListTaxonomyJobs()
                                                     throws Exception

      Throws:
        `Exception`

    - #### cancelTaxonomyJob

          boolean cancelTaxonomyJob(String jobIdentifier)
                                    throws Exception

      Throws:
        `Exception`

    - #### saveTaxonomyJob

          boolean saveTaxonomyJob(String jobIdentifier,
                                String destinationFolderId,
                                String fileName,
                                String scientificName,
                                String dataSourceName)
                                  throws Exception

      Throws:
        `Exception`

    - #### retrieveTaxonomyByIds

          List<TaxonomyRow> retrieveTaxonomyByIds(List<String> ids)
                                                  throws Exception

      Throws:
        `Exception`

    - #### retrieveSynonymsByRefId

          List<TaxonomyRow> retrieveSynonymsByRefId(String refId)
                                                    throws Exception

      Throws:
        `Exception`

    - #### createOccurrencesJob

          List<JobOccurrencesModel> createOccurrencesJob(List<JobOccurrencesModel> listJobOccurrenceModel,
                                                       SaveFileFormat saveFileFormat,
                                                       OccurrencesSaveEnum csvType,
                                                       boolean isByDataSource,
                                                       int expectedOccurrence)
                                                         throws Exception

      Throws:
        `Exception`

    - #### getListOccurrencesJob

          List<JobOccurrencesModel> getListOccurrencesJob()
                                                          throws Exception

      Throws:
        `Exception`

    - #### saveOccurrenceJob

          boolean saveOccurrenceJob(JobOccurrencesModel jobModel,
                                  String destinationFolderId,
                                  String fileName,
                                  String scientificName,
                                  String dataSourceName)
                                    throws Exception

      Throws:
        `Exception`

    - #### cancelOccurrenceJob

          boolean cancelOccurrenceJob(String jobIdentifier)
                                      throws Exception

      Throws:
        `Exception`

    - #### resubmitOccurrencesJob

          List<JobOccurrencesModel> resubmitOccurrencesJob(String jobIdentifier)
                                                           throws Exception

      Throws:
        `Exception`

    - #### resubmitTaxonomyJob

          JobTaxonomyModel resubmitTaxonomyJob(String jobIdentifier)
                                               throws Exception

      Throws:
        `Exception`

    - #### loadStructuresForResultRowClustering

          ClusterStructuresForResultRow loadStructuresForResultRowClustering()
                                                                             throws Exception

      Throws:
        `Exception`

    - #### loadStructuresForTaxonomyClustering

          ClusterStructuresForTaxonomyRow loadStructuresForTaxonomyClustering()
                                                                              throws Exception

      Throws:
        `Exception`

    - #### changeStatusOccurrenceJob

          boolean changeStatusOccurrenceJob(String jobIdentifier,
                                          DownloadState state)
                                            throws Exception

      Throws:
        `Exception`

    - #### changeStatusTaxonomyJob

          boolean changeStatusTaxonomyJob(String jobIdentifier,
                                        DownloadState state)
                                          throws Exception

      Throws:
        `Exception`

    - #### loadDataSourceForResultRow

          List<DataSource> loadDataSourceForResultRow(boolean selected,
                                                    boolean distinct)
                                                      throws Exception

      Throws:
        `Exception`

    - #### createTaxonomyJobByIds

          JobTaxonomyModel createTaxonomyJobByIds(String search,
                                                List<DataSourceModel> dataSources)
                                                  throws Exception

      Throws:
        `Exception`

    - #### createTaxonomyJobByChildren

          JobTaxonomyModel createTaxonomyJobByChildren(String taxonomyServiceId,
                                                     String taxonomyName,
                                                     String taxonomyRank,
                                                     String dataSourceName)
                                                       throws Exception

      Throws:
        `Exception`

    - #### saveTaxonomyJobError

          boolean saveTaxonomyJobError(String jobIdentifier,
                                     String destinationFolderId,
                                     String fileName,
                                     String scientificName,
                                     String dataSourceName)
                                       throws Exception

      Parameters:
        `jobIdentifier` -
        `destinationFolderId` -
        `fileName` -
        `scientificName` -
        `dataSourceName` -
      Returns:
      Throws:
        `Exception`

    - #### isAvailableTaxonomyJobReportError

          boolean isAvailableTaxonomyJobReportError(String jobIdentifier)
                                                    throws Exception

      Throws:
        `Exception`

    - #### saveOccurrenceJobError

          boolean saveOccurrenceJobError(JobOccurrencesModel jobModel,
                                       String destinationFolderId,
                                       String fileName,
                                       String scientificName,
                                       String dataSourceName)
                                         throws Exception

      Parameters:
        `jobModel` -
        `destinationFolderId` -
        `fileName` -
        `scientificName` -
        `dataSourceName` -
      Returns:
      Throws:
        `Exception`

    - #### isAvailableOccurrenceJobReportError

          boolean isAvailableOccurrenceJobReportError(String jobIdentifier)
                                                      throws Exception

      Throws:
        `Exception`

    - #### getLastQuery

          String getLastQuery()

      Returns:

Copyright © 2013. All Rights Reserved.